package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffUser;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffUserExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComStaffUserMapper {
    long countByExample(ThirdPartWeComStaffUserExample example);

    int deleteByExample(ThirdPartWeComStaffUserExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComStaffUser record);

    int insertSelective(ThirdPartWeComStaffUser record);

    List<ThirdPartWeComStaffUser> selectByExample(ThirdPartWeComStaffUserExample example);

    ThirdPartWeComStaffUser selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComStaffUser record, @Param("example") ThirdPartWeComStaffUserExample example);

    int updateByExample(@Param("record") ThirdPartWeComStaffUser record, @Param("example") ThirdPartWeComStaffUserExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComStaffUser record);

    int updateByPrimaryKey(ThirdPartWeComStaffUser record);
}